import { Component } from '@angular/core';
import { addIcons } from 'ionicons';
import { leaf, gameController, heartCircle } from 'ionicons/icons';

@Component({
  selector: 'app-tabs',
  templateUrl: 'tabs.page.html',
  styleUrls: ['tabs.page.scss'],
  standalone: false,
})
export class TabsPage {

  constructor() {
    // 加载所有使用的图标
    addIcons({ leaf, gameController, heartCircle });
  }
  // 在tab点击事件中添加，播放音效（bug）
  playInteractionSound() {
    const audio = new Audio('assets/sfx/bell.mp3');
    audio.volume = 0.3;
    audio.play();
  }
}
